Search for __get

  1. Search 7.x for __get
  2. Search 9.5.x for __get
  3. Search 8.9.x for __get
  4. Search 10.3.x for __get
  5. Search 11.x for __get
  6. Other projects
Title Object type File name Summary
ItemsPerPageTest::testItemsPerPage function core/modules/views/tests/src/Functional/Wizard/ItemsPerPageTest.php Tests the number of items per page.
JavascriptGetDrupalSettingsTest class core/tests/Drupal/FunctionalJavascriptTests/JavascriptGetDrupalSettingsTest.php Tests Drupal settings retrieval in WebDriverTestBase tests.
JavascriptGetDrupalSettingsTest.php file core/tests/Drupal/FunctionalJavascriptTests/JavascriptGetDrupalSettingsTest.php
JavascriptGetDrupalSettingsTest::$defaultTheme property core/tests/Drupal/FunctionalJavascriptTests/JavascriptGetDrupalSettingsTest.php
JavascriptGetDrupalSettingsTest::$modules property core/tests/Drupal/FunctionalJavascriptTests/JavascriptGetDrupalSettingsTest.php
JavascriptGetDrupalSettingsTest::testGetDrupalSettings function core/tests/Drupal/FunctionalJavascriptTests/JavascriptGetDrupalSettingsTest.php Tests retrieval of Drupal settings.
JavascriptStatesForm::getFormId function core/modules/system/tests/modules/form_test/src/Form/JavascriptStatesForm.php
JoinTest::getJoinValue function core/modules/views/tests/modules/views_test_data/src/Plugin/views/join/JoinTest.php Returns the joinValue property.
JsAssetController::getGroups function core/modules/system/src/Controller/JsAssetController.php
JsCollectionGrouperUnitTest::testGrouperWithAggregateTargets function core/tests/Drupal/Tests/Core/Asset/JsCollectionGrouperUnitTest.php Tests \Drupal\Core\Asset\CssCollectionGrouper.
JSInteractionTestForm::getFormId function core/modules/system/tests/modules/js_interaction_test/src/Controller/JSInteractionTestForm.php
JsMessageTest class core/tests/Drupal/FunctionalJavascriptTests/Core/JsMessageTest.php Tests core/drupal.message library.
JsMessageTest.php file core/tests/Drupal/FunctionalJavascriptTests/Core/JsMessageTest.php
JsMessageTest::$defaultTheme property core/tests/Drupal/FunctionalJavascriptTests/Core/JsMessageTest.php
JsMessageTest::$modules property core/tests/Drupal/FunctionalJavascriptTests/Core/JsMessageTest.php
JsMessageTest::assertCurrentMessages function core/tests/Drupal/FunctionalJavascriptTests/Core/JsMessageTest.php Asserts that currently shown messages match expected messages.
JsMessageTest::setUp function core/tests/Drupal/FunctionalJavascriptTests/Core/JsMessageTest.php
JsMessageTest::testAddRemoveMessages function core/tests/Drupal/FunctionalJavascriptTests/Core/JsMessageTest.php Tests click on links to show messages and remove messages.
JSMessageTestController class core/modules/system/tests/modules/js_message_test/src/Controller/JSMessageTestController.php Test Controller to show message links.
JSMessageTestController.php file core/modules/system/tests/modules/js_message_test/src/Controller/JSMessageTestController.php
JSMessageTestController::getMessagesSelectors function core/modules/system/tests/modules/js_message_test/src/Controller/JSMessageTestController.php Gets the test messages selectors.
JSMessageTestController::getTypes function core/modules/system/tests/modules/js_message_test/src/Controller/JSMessageTestController.php Gets the test types.
JSMessageTestController::messageLinks function core/modules/system/tests/modules/js_message_test/src/Controller/JSMessageTestController.php Displays links to show messages via JavaScript.
JSMessageTestController::messageLinksWithSystemMessages function core/modules/system/tests/modules/js_message_test/src/Controller/JSMessageTestController.php Displays links to show messages via JavaScript with messages from backend.
Json::getFileExtension function core/lib/Drupal/Component/Serialization/Json.php
JsonApiDocumentTopLevel::getData function core/modules/jsonapi/src/JsonApiResource/JsonApiDocumentTopLevel.php Gets the data.
JsonApiDocumentTopLevel::getIncludes function core/modules/jsonapi/src/JsonApiResource/JsonApiDocumentTopLevel.php Gets a JSON:API Data object of resources to be included in the response.
JsonApiDocumentTopLevel::getLinks function core/modules/jsonapi/src/JsonApiResource/JsonApiDocumentTopLevel.php Gets the links.
JsonApiDocumentTopLevel::getMeta function core/modules/jsonapi/src/JsonApiResource/JsonApiDocumentTopLevel.php Gets the metadata.
JsonApiDocumentTopLevel::getOmissions function core/modules/jsonapi/src/JsonApiResource/JsonApiDocumentTopLevel.php Gets an OmittedData instance containing resources to be omitted.
JsonApiDocumentTopLevelNormalizer::getLinkHash function core/modules/jsonapi/src/Normalizer/JsonApiDocumentTopLevelNormalizer.php Hashes an omitted link.
JsonApiDocumentTopLevelNormalizer::getNormalizationSchema function core/modules/jsonapi/src/Normalizer/JsonApiDocumentTopLevelNormalizer.php Retrieve JSON Schema for the normalization.
JsonApiDocumentTopLevelNormalizer::getSchemasForDataCollection function core/modules/jsonapi/src/Normalizer/JsonApiDocumentTopLevelNormalizer.php Retrieve an array of schemas for the resource types in a data object.
JsonApiDocumentTopLevelNormalizer::getSupportedTypes function core/modules/jsonapi/src/Normalizer/JsonApiDocumentTopLevelNormalizer.php
JsonApiFilterRegressionTest::testBundleSpecificTargetEntityTypeFromIssue2953207 function core/modules/jsonapi/tests/src/Functional/JsonApiFilterRegressionTest.php Ensure filtering on relationships works with bundle-specific target types.
JsonApiFilterRegressionTest::testFilteringEntitiesByEntityReferenceTargetId function core/modules/jsonapi/tests/src/Functional/JsonApiFilterRegressionTest.php Tests that collections can be filtered by an entity reference target_id.
JsonApiJsonSchemaTestTrait::getJsonSchemaTestNormalizationFormat function core/modules/jsonapi/tests/src/Traits/JsonApiJsonSchemaTestTrait.php
JsonApiJsonSchemaTestTrait::getNormalizationForValue function core/modules/jsonapi/tests/src/Traits/JsonApiJsonSchemaTestTrait.php
JsonApiJsonSchemaTestTrait::getValidator function core/modules/jsonapi/tests/src/Traits/JsonApiJsonSchemaTestTrait.php
JsonapiMaintenanceModeSubscriber::getSubscribedEvents function core/modules/jsonapi/src/EventSubscriber/JsonapiMaintenanceModeSubscriber.php
JsonApiPatchRegressionTest::testBundleSpecificTargetEntityTypeFromIssue2953207 function core/modules/jsonapi/tests/src/Functional/JsonApiPatchRegressionTest.php Ensure filtering on relationships works with bundle-specific target types.
JsonApiPerformanceTest::testGetIndividual function core/modules/jsonapi/tests/src/FunctionalJavascript/JsonApiPerformanceTest.php Tests performance of the navigation toolbar.
JsonApiRegressionTest::testDeepNestedIncludeMultiTargetEntityTypeFieldFromIssue2973681 function core/modules/jsonapi/tests/src/Functional/JsonApiRegressionTest.php Ensure deep nested include works on multi target entity type field.
JsonApiRegressionTest::testGetNodeCollectionWithHookNodeGrantsImplementationsFromIssue2984964 function core/modules/jsonapi/tests/src/Functional/JsonApiRegressionTest.php Ensures GETting node collection + hook_node_grants() implementations works.
JsonApiRegressionTest::testGetTermWhenMultipleVocabulariesExistFromIssue2977879 function core/modules/jsonapi/tests/src/Functional/JsonApiRegressionTest.php Ensures GETting terms works when multiple vocabularies exist.
JsonApiRequestValidator::getSubscribedEvents function core/modules/jsonapi/src/EventSubscriber/JsonApiRequestValidator.php
JsonApiSettingsForm::getFormId function core/modules/jsonapi/src/Form/JsonApiSettingsForm.php Returns a unique string identifying the form.
JsonApiSpec::getReservedQueryParameters function core/modules/jsonapi/src/JsonApiSpec.php Gets the reserved (official) JSON:API query parameters.
JsonApiTopLevelResourceNormalizerTest::getNormalizer function core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php Helper to load the normalizer.
JsonApiTopLevelResourceNormalizerTest::getTestConfigEntityResource function core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php Get a test resource type, resource object and includes for config entity.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.